/* badge of the sumitted offers */

.badge-custom {
    background-color: rgb(255, 43, 43);
    color: white;
    padding: 0.2em 0.6em;
    font-size: 75%;
    border-radius: 0.2rem;
    margin-top: -7%;
    margin-left: -4%;
}
.badge-custom2 {
    background-color: rgb(255, 43, 43);
    color: white;
    padding: 0.2em 0.6em;
    font-size: 75%;
    border-radius: 0.2rem;
    position: relative; /* Ensure the badge is positioned relative to its normal position */
    top: -0.5rem; /* Adjust the top property to move the badge up */
    margin-left: -1%;
}

/* categopry page */
.cate-page {
    display: flex;
    justify-content: space-between;
}

@media (max-width: 560px) {
    .part1 h2 {
        font-size: 1.3rem;
    }

    .part2 .btn.btn-primary {
        padding: 5px 20px;
        font-size: 10px;
    }
}

.mainlogo {
    width: auto !important;
    height: 2rem !important;
}

/* categories table page */
.dataTables_wrapper .dataTables_filter {
    margin-bottom: 10px;
}

.dataTables_wrapper .dataTables_filter label {
    margin-top: 1vw;
    display: flex;
    align-items: center;
    justify-content: end;
    font-weight: bold;
    color: #333333;
}

.dataTables_wrapper .dataTables_filter input {
    width: 300px;
    padding: 5px;
    border: 1px solid #dddddd;
    border-radius: 4px;
    background-color: #f9f9f9;
}

.dataTables_wrapper .dataTables_filter input:focus {
    border-color: #1a76af;
    box-shadow: 0 0 5px rgba(58, 148, 90, 0.5);
}

.dataTables_length {
    display: none;
}

.dataTables_info {
    display: none;
}

.table-div {
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    justify-content: center;
    align-items: center;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.table-responsive::-webkit-scrollbar {
    display: none;
    /* Hides the scrollbar */
}

.cate-tabel {
    width: 100% !important;
    margin-top: 1vw;
}

.cate-tabel th:first-child {
    width: 5% !important;
}

.cate-tabel td {
    text-align: center;
}

.cate-tabel th {
    text-align: center;
    font-weight: 600;
    cursor: pointer;
}

.cate-tabel .brandimg-div {
    width: auto !important;
    height: 6.25rem !important;
    text-align: start;
}

@media (max-width: 770px) {
    .cate-tabel .brandimg-div {
        height: 4rem !important;
    }
}

.cate-tabel .img-div {
    height: 100px;
    width: 100px;
    /* background-image: url('https://images.unsplash.com/photo-1715433675839-350ddf04c4aa?w=500&auto=format&fit=crop&q=60&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxlZGl0b3JpYWwtZmVlZHwxMzV8fHxlbnwwfHx8fHw%3D'); */
}

.cate-tabel .viewcatebtn {
    padding: 10px 20px;
    font-weight: 400;
}

@media (max-width: 1050px) {
    .cate-tabel .viewcatebtn {
        padding: 8px 13px;
        font-size: 13px;
    }
}

@media (max-width: 850px) {
    .cate-tabel .viewcatebtn {
        padding: 6px 10px;
        font-size: 10px;
    }
}

.switch {
    position: relative;
    display: inline-block;
    width: 45px;
    height: 24px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: 0.4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    transition: 0.4s;
}

input:checked + .slider {
    background-color: #2196f3;
}

input:checked + .slider:before {
    transform: translateX(22px);
}

.slider.round {
    border-radius: 24px;
}

.slider.round:before {
    border-radius: 50%;
}

.pagination {
    justify-content: end;
    --bs-pagination-active-bg: #1a76af;
    --bs-pagination-color: #165076;
    --bs-pagination-hover-color: #165076;
    --bs-pagination-focus-color: #1a76af;
    --bs-pagination-active-border-color: #1a76af;
}

/* form */
.selected_img {
    height: 20vh;
    width: auto;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

.suboffer_selected_img {
    display: flex;
    justify-content: center;
    align-items: center;
    /* height: 10rem; */
}
.suboffer_selected_img img {
    height: 30vh !important;
    width: Auto !important;
}

@media (max-width: 770px) {
    .img-col {
        display: none;
    }
}

/* adding vendor page  */
.image-div {
    display: flex;
    justify-content: center;
    align-items: end;
}

.iti {
    display: flex !important;
}

.selected-image {
    height: 150px;
    width: 150px;
    max-width: auto;
    min-height: auto;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    justify-content: center;
}

.usercard {
    margin: 0 100px !important;
}

@media (max-width: 1005px) {
    .usercard {
        margin: 0 50px !important;
    }
}

.pic-col {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.profilepic {
    height: 13vw;
    width: 13vw;
    background-color: #d5e1ec;
    border-radius: 50%;
    margin-bottom: 5vh;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

/* Hide the file input */
.picdiv {
    position: relative;
}

.circleinput[type="file"] {
    display: none;
}

/* Style the label as a button with a camera icon */
.file-upload label {
    position: absolute;
    right: 41.8%;
    bottom: 20%;
    display: inline-block;
    background-color: #aeb6bd;
    padding: 5px 5px 0px 5px;
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
}

.cemera-icon {
    width: 1.5vw;
}

@media (max-width: 1110px) {
    .cemera-icon {
        width: 2vw;
    }
}

@media (max-width: 770px) {
    .cemera-icon {
        width: 16px;
    }

    .file-upload label {
        position: absolute;
        right: 38%;
        bottom: 21%;
        padding: 7px 7px 1px 7px;
    }

    .usercard {
        margin: 0 0 !important;
    }

    .profilepic {
        height: 130px;
        width: 130px;
    }
}

/* pic and cover pic work */

.newpicdiv {
    height: 20rem;
    background-position: center;
    border-radius: 6px;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    justify-content: end;
}

.mianpic {
    height: 14rem;
    width: 14rem;
    border: 2px solid rgba(202, 197, 197, 0.489);
    border-radius: 50%;
    margin-bottom: 5vh;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

@media (max-width: 900px) {
    .newpicdiv {
        height: 15rem;
    }
}

@media (max-width: 1480px) {
    .mianpic {
        height: 13rem;
        width: 13rem;
    }
}

.bgimageinput[type="file"] {
    display: none;
}

.bgfileUpload label {
    background-color: #ffffff;
    padding: 0.5rem;
    margin: 0.5rem;
    border-radius: 50%;
}

.Main-pic {
    position: relative;
    margin-top: -10rem;
    margin-left: 1rem;
}

.Main-pic-input label {
    position: absolute;
    left: 16.8%;
    bottom: 14%;
    display: inline-block;
    background-color: #aeb6bd;
    padding: 5px 5px 0px 5px;
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
}

@media (max-width: 1408px) {
    .Main-pic-input label {
        left: 19.8%;
    }
}

@media (max-width: 1169px) {
    .Main-pic {
        margin-top: -4rem;
    }

    .mianpic {
        height: 10rem;
        width: 10rem;
    }
}

@media (max-width: 900px) {
    .Main-pic-input label {
        left: 8rem;
    }
}

/* ********
notification page css start
********* */
.thumbnail-container{
    display: flex;
    justify-content: center;
}
.thumbnail-preview{
    height: 20rem;
    width: 50%;
    margin: 1rem;
    background-color: rgba(128, 128, 128, 0.236) ;
    border-radius: 1rem;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}